from app.api import bp_errors

@bp_errors.app_errorhandler(400)
def bad_request(e):
	return {"msg": "The request was incorrectly formatted, or contained invalid data"}, 400

@bp_errors.app_errorhandler(401)
def unauthorized(e):
	return {"msg": "Failed to authorize the request"}, 401

@bp_errors.app_errorhandler(403)
def forbidden(e):
	return {"msg": "You shall not pass"}, 403

@bp_errors.app_errorhandler(404)
def not_found(e):
	return {"msg": "The requested resource was not found"}, 404

@bp_errors.app_errorhandler(405)
def method_not_allowed(e):
	return {"msg": "The method used is not allowed in current context"}, 405

@bp_errors.app_errorhandler(500)
def internal_error(e):
	return {"msg": "An error occurred on he server"}, 500

@bp_errors.app_errorhandler(501)
def internal_error(e):
	return {"msg": "This function has not been implemented yet. Check back soon!"}, 501